KCMAP_MODIFY_DIRECT_TYPE(3)

FUNCTION
kcmap_modify_direct_type - Change colours in a colourmap.

SYNOPSIS
#include <karma_kcmap.h>

void kcmap_modify_direct_type

(Kcolourmap cmap, double red_x, double red_y, void *red_var_param, double green_x, double green_y, void *green_var_param, double blue_x, double blue_y, void *blue_var_param)

DESCRIPTION
This routine will call the active colour compute function to change the colourmap colours in a colourmap.

cmap
    The colourmap object.

red_x
    A parameter used to compute the red component colour values.

red_y
    A parameter used to compute the red component colour values.

red_var_param
    A parameter used to compute the red component colour values.

green_x
    A parameter used to compute the green component colour values.

green_y
    A parameter used to compute the green component colour values.

green_var_param
    A parameter used to compute the green component colour values.

blue_x
    A parameter used to compute the blue component colour values.

blue_y
    A parameter used to compute the blue component colour values.

blue_var_param
    A parameter used to compute the blue component colour values.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
If the REVERSE attribute for the colourmap is set, the colourmap is reversed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/